<?php
include_once("../incs/conf.php");
include_once("../incs/fmysql.php");
include_once("../incs/fnc2.php");
include_once("../incs/head2.php");
head("Админ панель - Рассылка привата",$meuser,$auth);

if($on==1 && $user[level]>=10){
echo "<div class='rowup'>";
include_once("../incs/title2.php");
echo "<a href=\"index.php\">Админ панель</a> - Рассылка привата</div>";

$act=fil($_GET['act']);

switch($act){
case'add_msg':
$send=mysql_query("SELECT * FROM `user` WHERE `id` != '$user[id]'");
while ($send_all = mysql_fetch_array($send))
{
$msg=filtr($_POST['msg']);
$msg=bbcode(smiles($msg));
if($msg!=""){
$kont=mysql_fetch_array(mysql_query("SELECT * FROM `mail_kontakt` WHERE `id_user` = '$user[id]' AND `id_kontakt` = '$send_all[id]' OR `id_user` = '$send_all[id]' AND `id_kontakt` = '$user[id]'"));
if($kont[id]==""){
mysql_query("INSERT INTO `mail_kontakt` (`id_user`, `id_kontakt`) values('$user[id]', '$send_all[id]')");
}
mysql_query("INSERT INTO `mail` (`id_user`, `id_otrim`, `msg`, `time`) values('$user[id]', '$send_all[id]', '$msg', '".date('Y.m.d/H:i')."')");
mysql_query("UPDATE `mail_kontakt` SET `time` = '".time()."' WHERE `id_user` = '$user[id]' AND `id_kontakt` = '$kont[id]' OR `id_user` = '$kont[id]' AND `id_kontakt` = '$user[id]'");
$us = mysql_num_rows(mysql_query("SELECT id FROM user"));
$sis_msg="Сообщение успешно отправлено <b>$us</b> пользователю(ям)";
}else{
$sis_msg="Сообщение пустое!";
}
}
echo "$sis_msg<br>";
break;
}

echo "<form method=\"post\" action=\"?act=add_msg\">";
echo 'Сообщение:<br/><textarea name="msg"></textarea><br>';
echo '<input value="Отправить" type="submit"/></form>';

}else{
echo "<div class='rowup'>";
include_once("../incs/title2.php");
echo "<a href=\"index.php\">Админ панель</a> - Рассылка привата</div>";
echo "Извени, но тебе здесь находитса нельзя!<br>";
}
include_once("../incs/down2.php");
?>